# Class CIM_StorageSettingsAssociatedToCapabilities
extends CIM_SettingAssociatedToCapabilities

This association define StorageSettings that reflect the capabilities of the associated StorageCapabilities. The associated StorageSetting may not define the operational characteristics (through settings properties) of any storage element. Certain StorageSetting instances can be defined as "Fixed = Not Changeable" by using the "ChangeableType" attribute. "Fixed" settings have this special association. This association should be defined between "Fixed - Not Changeable" instances of StorageSetting with the StorageCapabilities instances that are associated with the StoragePools which support the storage characteristics described by the StorageSetting instance. Fixed settings may be associated to many StorageCapabilities.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SettingAssociatedToCapabilities
|
+--CIM_StorageSettingsAssociatedToCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association define StorageSettings that reflect the capabilities of the associated StorageCapabilities. The associated StorageSetting may not define the operational characteristics (through settings properties) of any storage element. Certain StorageSetting instances can be defined as "Fixed = Not Changeable" by using the "ChangeableType" attribute. "Fixed" settings have this special association. This association should be defined between "Fixed - Not Changeable" instances of StorageSetting with the StorageCapabilities instances that are associated with the StoragePools which support the storage characteristics described by the StorageSetting instance. Fixed settings may be associated to many StorageCapabilities.

UMLPackagePath | string | CIM::Device::StorageServices
Version | string | 2.11.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_StorageSettingsAssociatedToCapabilities | CIM_StorageCapabilities
Dependent | CIM_StorageSettingsAssociatedToCapabilities | CIM_StorageSetting

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
DefaultSetting | boolean | CIM_SettingAssociatedToCapabilities

## Class Methods